Subject: Re: bug#13887: 24.3; doc-view will render blurry images when image-magick is available

From: E Sabof <[email-masked]>
Date: Wed, 6 Mar 2013 12:13:34 +0000

I've tried it, indeed it works much better. Might it be possible to store
the the "native" size, and raise the resolution automatically when the zoom
exceeds it?

On a side note, might it be also possible to horizontally center the image?
There is a pretty straight-forward way to do it, used in the about-emacs
screen.

Evgeni

On Wed, Mar 6, 2013 at 8:05 AM, Tassilo Horn <[email-masked]> wrote:

> E Sabof <[email-masked]> writes:
>
> > It tries to up-scale the available bitmap - leading to a loss of
> > quality, instead of re-rendering the page from vector data.
>
> You mean, it up-scales when you hit +?  That's a feature, because
> up-scaling is much faster than reconverting.  To make use of the
> feature, you should set `doc-view-resolution' to some reasonably high
> value.  I use this
>
>   (setq doc-view-resolution 200)
>
> and it works very well.
>
> Bye,
> Tassilo
>